SoulFire LogoSoulFire

Check recipe materials

POST
/v1/recipes:canCraft

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

scope?
recipeId?string
count?integer
Formatint32

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/recipes:canCraft" \  -H "Content-Type: application/json" \  -d '{    "recipeId": "",    "count": 0  }'
{  "canCraft": true,  "maximumCraftCount": 0,  "missing": [    {      "ingredient": {        "itemIds": [          "string"        ],        "tags": [          "string"        ],        "count": 0      },      "available": 0,      "missing": 0    }  ],  "requiredStation": "string"}

How is this page?